package cn.hmsoft.frame.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.frame.constants.FrameSeqName;
import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 系统表-操作员日志表
* @author: zxq
* @date: 2018-07-16 18:58:05
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "FRAME_OPTR_LOG", keyColumn =  "LOG_ID" , sequenceName = FrameSeqName.FrameOptrLogId)
public class FrameOptrLog implements Serializable{
	private static final long serialVersionUID = -4433624353167994904L;
	//内部编号
	private Integer log_id;
	//操作员编号
	private Integer optr_id;
	//日志类型
	private String log_type;
	//记录日志时间
	private LocalDateTime log_time;
	//日志参数
	private String log_param;

	/****
	 * 内部编号
	 */
	public Integer getLog_id() {
		return this.log_id;
	}

	/****
	 * 内部编号
	 */
	public void setLog_id(Integer log_id) {
		this.log_id = log_id;
	}

	/****
	 * 操作员编号
	 */
	public Integer getOptr_id() {
		return this.optr_id;
	}

	/****
	 * 操作员编号
	 */
	public void setOptr_id(Integer optr_id) {
		this.optr_id = optr_id;
	}

	/****
	 * 日志类型
	 */
	public String getLog_type() {
		return this.log_type;
	}

	/****
	 * 日志类型
	 */
	public void setLog_type(String log_type) {
		this.log_type = log_type;
	}

	/****
	 * 记录日志时间
	 */
	public LocalDateTime getLog_time() {
		return this.log_time;
	}

	/****
	 * 记录日志时间
	 */
	public void setLog_time(LocalDateTime log_time) {
		this.log_time = log_time;
	}

	/****
	 * 日志参数
	 */
	public String getLog_param() {
		return this.log_param;
	}

	/****
	 * 日志参数
	 */
	public void setLog_param(String log_param) {
		this.log_param = log_param;
	}


}